/*
******************************************************************
CSS for navigation
******************************************************************
*/

/*****************************************************************
*********** Navigation (Nav1))
******************************************************************/

.top-navigation {
    display: inline-block;
    align-self: flex-end;
}

.top-navigation .contact {
    align-items: center;
    display: flex;
    gap: var(--spacing-50px);
}

.top-navigation .contact .telephone,
.top-navigation .contact .email {
    color: var(--color-primary);
    display: flex;
    gap: var(--spacing-10px);
    align-items: center;
}

.top-navigation .contact .telephone:hover,
.top-navigation .contact .email:hover {
    color: var(--color-gray-medium);
}

.top-navigation .contact .telephone:focus-visible,
.top-navigation .contact .email:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

.top-navigation .contact .telephone .text,
.top-navigation .contact .email .text {
    color: inherit;
    font-size: var(--font-size-18px);
}

.top-navigation .contact .telephone:before {
    font-family: 'Font Awesome 7 Pro', sans-serif;
    font-size: var(--font-size-30px);
    content: '\f095';
    display: flex;
    align-items: center;
}

.top-navigation .contact .email:before {
    font-family: 'Font Awesome 7 Pro', sans-serif;
    font-size: var(--font-size-30px);
    content: '\f0e0';
    display: flex;
    align-items: center;
}


.nav1 {
    display: flex;
    justify-content: space-between;
    gap: var(--spacing-10px);
}

.nav1-item.has-subnav {
    position: relative;
    display: flex;
}

.nav1 button {
    border: none;
    border-radius: 0;
    background: none;
    margin: 0 0.5rem;
    height: 100%;
    width: 1.5rem;
}

.nav1 button .fa-solid {
    margin: auto;
    width: 1.5rem;
    font-size: var(--font-size-16px);
    line-height: 1.625rem;
    height: 100%;
    display: block;
}

/*
.nav1 button:hover {
    background: #f3f3f3;
}
*/
.nav1 button:active {
    background: var(--color-primary);
}

.nav1 button[aria-expanded='true'] {
    outline: var(--outline);
}

.nav1 button:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

.nav1-item-wrapper {
    margin-right: var(--spacing-10px);
    position: relative;
}

.nav1-item-wrapper:last-of-type {
    margin-right: 0;
}

.nav1-item {
    /*background: var(--color-gray-light);*/
}

.nav1-item.has-subnav .nav1-link {
    padding: 0;
}

.nav1-link {
    padding: var(--spacing-10px) 0.7375rem;
    display: inline-flex;
    color: var(--color-black);
    font-size: var(--font-size-22px);
    font-family: var(--font-family-arial), sans-serif;
    align-items: center;
    height: 1.625rem;
}

.nav1-link:focus-visible {
    outline: var(--outline);
}

.nav1-link span {
    line-height: 1.3125rem;
    color: inherit;
    font-family: var(--font-family-metaserif), sans-serif;
    font-size: var(--font-size-24px);
}

.nav1-link.active,
.nav1-link:hover {
    color: var(--color-primary);
    background: none;
    text-decoration: underline;
    text-decoration-thickness: 0.2rem;
    text-underline-offset: 0.5rem;
}

.nav1-item-wrapper .nav1-link.active .dropdown-button {
    background-color: var(--color-primary);
}

.nav1-link-last {
    position: relative;
    z-index: var(--z-index-modal);
}

.nav1-item.has-subnav:hover .nav1-link,
.nav1-item.has-subnav:has(.nav2dropdown:hover) .nav1-link {
    background-color: unset;
    text-decoration: underline;
    text-decoration-thickness: 0.2rem;
    text-underline-offset: 0.5rem;
}

.nav1-item-wrapper:hover .nav1-link,
.nav1-item-wrapper:hover .dropdown-button {
    color: var(--color-white);
    background-color: var(--color-primary);
}

.nav1-item-wrapper:hover .dropdown-button .fa-chevron-down {
    color: var(--color-white);
}

.nav1-link.hover {
    background: var(--color-primary);
}

@media only screen and (max-width: 70rem) {

    .img-logo {
        width: 10.625rem;
    }

    .nav1 {
        gap: var(--spacing-5px);
    }

    .nav1-item.has-subnav .nav1-link {
        padding: var(--spacing-10px) var(--spacing-5px) var(--spacing-10px) var(--spacing-5px);
    }

    .nav1 button {
        padding: 0;
    }

}


/*****************************************************************
*********** Navigation (Nav1 with Nav2 Dropdown)
******************************************************************/

.nav2dropdown {
    display: none;
    position: absolute;
    padding-top: var(--spacing-20px);
    margin-top: var(--spacing-25px);
    z-index: var(--z-index-dropdown);
    width: 15.625rem;
}


.nav2dropdown-item {
    display: flex;
    width: 100%;
    height: auto;
    background-color: #205D89;
    border-bottom: var(--border-width-1px) solid var(--color-gray-light);
}

.nav2dropdown-item span {
    color: var(--color-white);
    font-weight: var(--font-weight-normal);
    font-family: var(--font-family-metaserif), sans-serif;
}

.nav2dropdown-link {
    padding: var(--spacing-10px);
    display: flex;
    width: 100%;
    font-size: var(--font-size-20px);
}

.nav2dropdown-link.active,
.nav2dropdown-link:hover {
    background: #f3f3f3;
    color: var(--color-white);
}

.nav2dropdown-link.active span,
.nav2dropdown-link:hover span {
    color: var(--color-black);
}

.nav2dropdown-link:focus-visible {
    background: #f3f3f3;
}

.nav2dropdown-link:focus-visible span {
    color: var(--color-black);
}


.nav1-item.has-subnav:hover .nav2dropdown {
    display: block !important;
}

/*****************************************************************
*********** Navigation Meta
******************************************************************/

#meta-navigation {
    display: flex;
    justify-content: flex-end;
    margin-right: var(--spacing-60px);
}

#meta-navigation .nav-meta-item {
    display: inline-block;
    margin-right: var(--spacing-5px);
}

#meta-navigation .nav-meta-link {
    display: inline-block;
}

/*****************************************************************
*********** Navigation Footer
******************************************************************/

.nav-footer {
    width: auto;
    height: auto;
    list-style: none !important;
}

.nav-footer-item {
    width: auto;
    height: auto;
    margin-right: 0;
}

.nav-footer-link {
    font-size: var(--font-size-18px);
    line-height: 1.375rem;
    color: var(--color-text);
}

.nav-footer-link:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

.nav-footer-link:hover span {
    text-decoration: underline;
}

.nav-footer-link span {
    color: var(--color-text);
}

/* CUSTOM footer-nav with nav1 and nav2  */

.nav-footer-nav1 {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: var(--spacing-30px);
    flex-wrap: wrap;
}

.nav-footer-nav1-link,
.nav-footer-nav1-link span {
    color: var(--color-text);
    font-size: var(--font-size-18px);
    margin-bottom: var(--spacing-10px);
    font-family: var(--font-family-arial), sans-serif;
    font-weight: bold;
}

.nav-footer-nav1-link {
    display: inline-block;
    margin-bottom: var(--spacing-5px);
}

@media only screen and (max-width: 84.375rem) {
    .nav-footer-nav1 {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
}

/*****************************************************************
*********** Lang-Selector
******************************************************************/

.lang-selector {
    display: flex;
    justify-content: flex-end;
    width: 16.875rem;
}

.lang-selector-item {
    display: block;
}

.lang-selector-link {
    display: inline-block;
    padding: var(--spacing-10px);
}

.lang-selector-link:hover {
    padding: var(--spacing-10px);
}

.lang-selector-link.lang-de::before {
    content: ' ';
    display: inline-block;
    position: relative;
    /*background: url('../_images/flagge-de.png') no-repeat;*/
    width: var(--icon-size-24px);
    height: var(--spacing-15px);
    background-size: 100% auto;
    margin-right: 0.4375rem;
    margin-top: var(--spacing-5px);
}

.lang-selector-link.lang-en::before {
    content: ' ';
    display: inline-block;
    position: relative;
    /*background: url('../_images/flagge-gb.png') no-repeat;*/
    width: var(--icon-size-24px);
    height: var(--spacing-15px);
    background-size: 100% auto;
    margin-right: 0.4375rem;
    margin-top: var(--spacing-5px);
}

@media only screen and (max-width: 30rem) {
    .lang-selector {
        width: 7.1875rem;
    }

    .lang-selector .lang-text {
        display: none !important;
    }
}

/*
******************************************************************
CSS for mobile/responsive navigation
******************************************************************
*/

.mobile-div {
    position: fixed;
    height: 0;
    width: 100vw;
    overflow: hidden;
    z-index: 99999999;
    top: 6rem;
    left: 0;
    transition: var(--transition-slow);
    background-color: var(--color-white);
}

.mobile-menu {
    height: auto;
    width: auto;
    text-align: center;
    display: block;
}

.close-page-canvas {
    left: 60% !important;
}

@media only screen and (max-width: 30rem) {
    .mobile-div {
        top: 5rem;
    }
}

/*** menu-trigger
******************************************************************************* */

.menu-trigger {
    display: none;
    height: 2.5rem;
    width: 2.5rem;
    cursor: pointer;
    transition: transform var(--transition-base);
    position: absolute;
    top: var(--spacing-40px);
    right: var(--spacing-25px);
    border: none;
    background: transparent;
}

.menu-trigger:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

.menu-trigger .menu-line {
    display: block;
    transition: var(--transition-fast);
    width: 100%;
    height: 0.33rem;
    border-radius: var(--spacing-15px);
    margin: 0 auto var(--spacing-5px);
    background: var(--color-primary);
    line-height: var(--spacing-40px);
}

.menu-trigger:hover .menu-line:nth-child(2) {
    width: 80%;
}

.menu-trigger.open .menu-line:nth-child(1) {
    transform: rotate(45deg);
    position: relative;
    top: var(--spacing-5px);
}

.menu-trigger.open .menu-line:nth-child(2) {
    display: none;
}

.menu-trigger.open .menu-line:nth-child(3) {
    transform: rotate(-45deg);
    position: relative;
    top: -0.1875rem;
}

@media only screen and (max-width: 84.375rem) {
    .menu-trigger {
        display: block !important;
    }
}

@media only screen and (max-width: 30rem) {
    .menu-trigger {
        height: 1.8125rem;
        width: 1.875rem;
        top: var(--spacing-35px);
    }

    .menu-trigger .menu-line {
        height: 0.25rem;
    }
}

.subnav-nav-trigger::before {
    font-family: 'Font Awesome 7 Pro', sans-serif;
    font-weight: var(--font-weight-black);
    content: '\f078';
    color: var(--color-black);
}

.nav2-mobile-item .subnav-nav-trigger::before {
    color: var(--color-black);
}

.subnav-nav-trigger {
    height: var(--icon-size-32px);
    cursor: pointer;
    font-size: var(--icon-size-24px);
    text-align: center;
    overflow: hidden;
    padding: var(--spacing-5px);
    transition: var(--transition-base);
    position: absolute;
    right: var(--spacing-35px);
    top: var(--spacing-5px);
    transform: rotate(-90deg);
}

.subnav-nav-trigger.opened {
    transform: rotate(0deg);
}

.nav-mobile-btn {
    position: absolute;
    right: var(--spacing-35px);
    top: 0.8rem;
    height: var(--icon-size-32px);
    padding: var(--spacing-5px);
    background: transparent;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-mobile-btn .subnav-nav-trigger {
    position: static;
    height: auto;
    padding: 0;
}

.nav-mobile-btn:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

/*
.nav-mobile-btn:focus-visible > .subnav-nav-trigger.active {
    outline: var(--border-width-3px) solid var(--color-gray-medium);
    outline-offset: var(--outline-offset);
}
*/
.nav1-additional {
    padding: 0.75rem var(--spacing-40px);
    position: relative;
    background: var(--color-gray-light);
    color: var(--color-black) !important;
    font-weight: var(--font-weight-black);
}

.nav1-additional-link::before {
    font-family: 'Font Awesome 7 Pro', sans-serif;
    font-size: var(--font-size-18px);
    margin-right: var(--spacing-25px);
}

.nav1-additional-link.search::before {
    content: '\f002';
}

.nav1-additional-link.contact::before {
    content: '\f098';
}

.nav1-additional-link.start::before {
    content: '\f015';
}

.nav1-mobile-div {
    overflow: hidden;
    display: none;
    background-color: var(--color-white);
}

.nav1-mobile {
    width: auto;
    text-align: left;
    height: auto;
    overflow: hidden;
}

.nav1-mobile li {
    width: 100%;
    color: var(--color-white);
}

.nav1-mobile-item:hover .nav1-mobile-link span {
    text-decoration: underline;
    color: var(--color-primary);
}

.nav1-mobile-div.menu-2 .nav1-mobile,
.nav1-mobile-div.menu-2 .nav2-mobile {
    height: auto;
    border: none;
    display: flex;
    flex-flow: column;
    gap: var(--spacing-5px);
    background: var(--color-white);
}

.nav1-mobile-div.menu-2 .nav2-mobile {
    left: var(--spacing-60px);
    gap: var(--spacing-5px);
    padding: 0 var(--spacing-40px);
    background-color: var(--color-white);
}

.nav2-mobile-item {
    padding: var(--spacing-10px) var(--spacing-40px);
    position: relative;
}

.nav1-mobile-div.menu-2 .nav1-mobile-item {
    border: none;
}

/*
.nav1-mobile-item.opened .background {
    background: var(--color-primary);
}

.nav1-mobile-item.opened > a > span,
.nav1-mobile-item.opened > .subnav-nav-trigger:before {
    color: var(--color-white);
}
*/
.nav1-mobile-div.menu-1 {
    position: fixed;
    width: 100vw;
    height: calc(100vh - var(--spacing-60px));
    top: var(--spacing-60px);
    right: -100vw;
    transition: var(--transition-slow);
    border-top: var(--spacing-25px) solid var(--color-white);
}

.nav1-mobile-div.menu-2 {
    position: fixed;
    width: 100vw;
    height: calc(-28.1875rem + 100vh);
    transition: var(--transition-slow);
    z-index: var(--z-index-modal-backdrop);
    overflow: auto;
    padding-bottom: 0;
    border-top: var(--spacing-25px) solid var(--color-white);
}

.nav1-mobile-div.menu-3 {
    position: fixed;
    width: 60vw;
    height: 100vh;
    top: 0;
    right: -60vw;
    transition: var(--transition-slow);
}

.nav2-mobile {
    background: var(--color-white);
    margin-left: calc(var(--spacing-60px) * -1);
    margin-right: calc(var(--spacing-60px) * -1);
    padding: var(--spacing-5px) var(--spacing-40px) 0 var(--spacing-40px);
    transform: translateY(0.75rem);
    overflow: hidden;
}

.nav3-mobile {
    background: var(--color-white);
    margin-left: calc(var(--spacing-60px) * -1);
    margin-right: calc(var(--spacing-60px) * -1);
    padding: 0 var(--spacing-40px);
    transform: translateY(0.75rem);
    display: none;
    overflow: hidden;
}

/************************/

.nav1-mobile-link span {
    color: var(--color-black);
}

.nav1-mobile-link:focus-visible span {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

.nav1-mobile-link.active:focus-visible span {
    outline: var(--border-width-3px) solid var(--color-gray-medium);
    outline-offset: var(--outline-offset);
}

.nav2-mobile-link span {
    color: var(--color-black);
    font-size: var(--font-size-20px);
    margin-left: var(--spacing-20px);
}

.nav1-mobile-link {
    width: 100%;
    height: 100%;
    display: inline-block;
    padding: var(--spacing-12px) var(--spacing-30px);
}

.nav1-mobile-link:focus-visible {
    outline: none;
}

.nav1-mobile-link.subnav {
    width: calc(100% - var(--spacing-45px));
}

.nav1-mobile > li {
    background: var(--color-gray-light);
}

/*
.nav1-mobile > li:has(.active),
.nav1-mobile > li:has(.opened) {
    background: var(--color-primary);
}
*/
.nav1-mobile-link.active span,
.nav1-mobile-link.opened span {
    color: var(--color-primary);
    font-weight: var(--font-weight-bold);
}

.subnav-nav-trigger.active::before {
    color: var(--color-black);
}

.nav1-mobile-link.active span {
    font-weight: var(--font-weight-bold);
}

.nav1-mobile-item {
    position: relative;
    background: var(--color-gray-light);
    display: inline-block;

}

.nav1-mobile-item .background {
    height: var(--spacing-50px);
    width: 100%;
    position: absolute;
    z-index: -1;
    left: 0;
    top: 0;
    background: var(--color-white);
}

.nav2-mobile-link {
    display: inline-block;
}

.nav2-mobile-link.active span,
.nav2-mobile-link:hover span {
    text-decoration: underline;
    color: var(--color-primary);
}

.nav3-mobile-item {
    padding: var(--spacing-10px) var(--spacing-40px);
    position: relative;
    background: #EEEEEE;
}

.nav3-mobile-item:last-child {
    border-bottom-left-radius: var(--spacing-10px);
    border-bottom-right-radius: var(--spacing-10px);
}

.nav3-mobile-link {
    color: var(--color-black);
}

.nav3-mobile-link.active span {
    color: var(--color-primary);
}

.nav3-mobile-link span {
    color: var(--color-black);
}

.nav3-mobile-link span:before {
    font-family: 'Font Awesome 7 Pro', sans-serif;
    font-weight: var(--font-weight-black);
    content: '\f054';
    color: var(--color-black);
    margin-right: var(--spacing-5px);
}

/*****************************************************************
*********** Lang-Selector Mobile
******************************************************************/

.lang-selector-mobile {
    display: none;
}

/*****************************************************************
*********** Breadcrumb/Locator
******************************************************************/

#breadcrumb-canvas {
    margin-bottom: var(--spacing-20px);
}

#breadcrumb-canvas:after {
    content: '';
    display: block;
    clear: both;
}

nav.breadcrumb {
    list-style: none;
}

.breadcrumb-item .breadcrumb-link:first-child {
    padding-left: 0;
}

.breadcrumb-item .breadcrumb-link {
    display: inline-block;
    color: var(--color-black);
    padding-left: 0.313rem;
    padding-right: 0.313rem;
    font-size: var(--font-size-16px);
}

.breadcrumb-item a.breadcrumb-link:hover {
    text-decoration: underline;
}

.breadcrumb-item .sign {
    color: var(--color-black);
    font-weight: var(--font-weight-normal);
    display: inline-block;
    padding-right: 0.313rem;
}

/* Responsive Navigation */

@media only screen and (max-width: 60rem) {
    nav span,
    nav a {
        font-size: var(--font-size-16px);
    }
}

@media only screen and (max-width: 29.25rem) {
    .nav-mobile-btn {
        top: 0.65rem;
    }
}